<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>
<%@ page import = "cn.com.dekn.cms.util.*,cn.com.dekn.common.util.*" %>


<%
//录入项ID INPUT_ID
String INPUT_ID = StrUtil.getNotNullStringValue(request.getParameter("INPUT_ID"),"");

//录入项默认值 INPUT_DEFAULT_VALUE
String INPUT_DEFAULT_VALUE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_DEFAULT_VALUE"),"");
String[] defaultValueArray = INPUT_DEFAULT_VALUE.split("\\|");

//录入项可选值 INPUT_VALUE(这里存储的是绑定的市所在select的ID)
String INPUT_VALUE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_VALUE"),"");

//录入项备注 INPUT_REMARK
String INPUT_REMARK = StrUtil.getNotNullStringValue(request.getParameter("INPUT_REMARK"),"");

//是否必填写 INPUT_MUST
String INPUT_MUST = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST"),"");

//必选项类型 INPUT_MUST_TYPE
String INPUT_MUST_TYPE = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST_TYPE"),"");

//必选项提示消息 INPUT_MUST_MSG
String INPUT_MUST_MSG = StrUtil.getNotNullStringValue(request.getParameter("INPUT_MUST_MSG"),"");
if(INPUT_MUST.equals("1")){
	INPUT_MUST = "true";
}else{
	INPUT_MUST = "false";
}
if(INPUT_MUST_TYPE.equals("")){
	INPUT_MUST_TYPE = "Require";
}
%>


<select name="<%=INPUT_ID%>" id="<%=INPUT_ID%>" class="form_select" require="<%=INPUT_MUST%>" msg="<%=INPUT_MUST_MSG%>" dataType="<%=INPUT_MUST_TYPE%>">
</select>
<select name="<%=INPUT_VALUE%>" id="<%=INPUT_VALUE%>" class="form_select" require="<%=INPUT_MUST%>" msg="<%=INPUT_MUST_MSG%>" dataType="<%=INPUT_MUST_TYPE%>">
</select>

<span class="text_remark"><%=INPUT_REMARK%></span>
<script>
	<% if(defaultValueArray.length==1){ %>
		new PCAS("<%=INPUT_ID%>","<%=INPUT_VALUE%>","<%=defaultValueArray[0]%>");
	<% }else if(defaultValueArray.length==2){ %>
		new PCAS("<%=INPUT_ID%>","<%=INPUT_VALUE%>","<%=defaultValueArray[0]%>","<%=defaultValueArray[1]%>");
	<% }else{ %>
		new PCAS("<%=INPUT_ID%>","<%=INPUT_VALUE%>");
	<% }%>
	
</script>
